# typeScript 学习笔记

* 基础类型
  * any 声明为 any 的变量可以赋予任意类型的值。
  * number 双精度 64 位浮点值。它可以用来表示整数和分数。
  * string 一个字符系列
  * boolean true false
  * 数组
    * `let arr: number[] = [1, 2];`
    * `let arr: Array<number> = [1, 2];`
  * 元组 用来表示已知元素数量和类型的数组，各元素的类型不必相同，对应位置的类型需要相同
    * `let x: [string, number]; x = ['Runoob', 1];`
  * enum 枚举类型用于定义数值集合。
    * `enum Color {Red, Green, Blue}; let c: Color = Color.Blue; console.log(c);    // 输出 2`
  * void 标识方法返回值的类型，表示此方法没有返回值
  * null
  * undefined
  * never
  * 可以用 | 来支持多种类型 let x: number | null | undefined;